Search Continent
curl --request GET \
--url https://api.byteful.com/1.0/public/user/continent/search \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/continent/search"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/continent/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"continent_alias": "eu",
"continent_id": "eu",
"continent_name": "Europe"
}
],
"item_count": 1,
"message": "Continent search successful.",
"page": 1,
"per_page": 10,
"total_count": 1
}Continent
Search Continent
Search Continent entries using various filters.
GET
/
public
/
user
/
continent
/
search
Search Continent
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Query Parameters
Unique two-letter identifier of the Continent
Name of the Continent
Alias or alternative name for the Continent
Number of items per page for pagination
Page number for pagination
Key for sorting or random.
Response
200 - application/json
Successful Continent search
Continent search was successful.
Array of Continent items matching the search criteria up to the limit of per_page paramater.
Show child attributes
Show child attributes
Total number of Continent items returned in the data field.
Status message for the search.
Current page number of the search results returned.
Number of Continent items returned per page.
Total of Continent items that match the search filter.

